---
title: Update a bucket
description: Update a bucket’s name or retention period in InfluxDB using the InfluxDB UI or the influx CLI.
url: https://docs.influxdata.com/influxdb/cloud/admin/buckets/update-bucket/
estimated_tokens: 2232
product: InfluxDB Cloud (TSM)
version: cloud
---

# Update a bucket

Use the InfluxDB user interface (UI), the `influx` command line interface (CLI), or the InfluxDB HTTP API to update a bucket.

Note that updating a bucket’s name will affect any resources that reference the bucket by name, including the following:

-   Queries
-   Dashboards
-   Tasks
-   Telegraf configurations
-   Templates

If you change a bucket name, be sure to update the bucket name in the above places and any resources that reference it.

## Update a bucket’s name in the InfluxDB UI

1. In the navigation menu on the left, select **Load Data** > **Buckets**.
    
    Load Data
    
2. Click **Settings** to the right of the bucket you want to rename.
    
3. Click **Rename**.
    
4. Review the information in the window that appears and click **I understand, let's rename my bucket**.
    
5. Update the bucket’s name and click **Change Bucket Name**.
    

For information about permitted bucket names, see [bucket naming restrictions](/influxdb/cloud/admin/organizations/buckets/create-bucket/#bucket-naming-restrictions).

## Update a bucket’s retention period in the InfluxDB UI

1. In the navigation menu on the left, select **Load Data** > **Buckets**.
    
    Load Data
    
2. Click **Settings** next to the bucket you want to update.
    
3. In the window that appears, under **Delete data**, select a retention period:
    
    -   **Never**: data in the bucket is retained indefinitely.
    -   **Older Than**: select a predefined retention period from the dropdown menu.
    
    Use the [`influx bucket update` command](#update-a-buckets-retention-period) or the [InfluxDB HTTP API `PATCH /api/v2/buckets` endpoint](/influxdb/cloud/api/buckets/) to set a custom retention period.
    
4. Click **Save Changes**.
    

## Update a bucket using the influx CLI

Use the [`influx bucket update` command](/influxdb/cloud/reference/cli/influx/bucket/update) to update a bucket. Updating a bucket requires the following:

-   The bucket ID *(provided in the output of `influx bucket list`)*

#### Authentication credentials

The examples below assume your InfluxDB **host**, **organization**, and **token** are provided by either the [active `influx` CLI configuration](/influxdb/cloud/reference/cli/influx/#provide-required-authentication-credentials) or by environment variables (`INFLUX_HOST`, `INFLUX_ORG`, and `INFLUX_TOKEN`). If you do not have a CLI configuration set up or the environment variables set, include these required credentials for each command with the following flags:

-   `--host`: [InfluxDB host](/influxdb/cloud/reference/urls/)
-   `-o, --org` or `--org-id`: InfluxDB organization name or ID
-   `-t, --token`: InfluxDB API token

##### Update the name of a bucket

```sh
# Syntax
influx bucket update -i <bucket-id> -n <new-bucket-name>

# Example
influx bucket update -i 034ad714fdd6f000 -n my-new-bucket
```

##### Update a bucket’s retention period

Valid retention period duration units:

-   nanoseconds (`ns`)
-   microseconds (`us` or `µs`)
-   milliseconds (`ms`)
-   seconds (`s`)
-   minutes (`m`)
-   hours (`h`)
-   days (`d`)
-   weeks (`w`)

The minimum retention period is **one hour**.

```sh
# Syntax
influx bucket update -i <bucket-id> -r <retention period with units>

# Example
influx bucket update -i 034ad714fdd6f000 -r 1209600000000000ns
```

## Update a bucket using the HTTP API

Use the InfluxDB HTTP API [`PATCH /api/v2/buckets` endpoint](/influxdb/cloud/api/buckets/) to update a bucket.

Updating a bucket requires the following:

-   The bucket ID *(provided in the output of the `GET /api/v2/buckets/` endpoint)*

You can update the following bucket properties:

-   name *(see [bucket naming restrictions](/influxdb/cloud/admin/organizations/buckets/create-bucket/#bucket-naming-restrictions))*
-   description
-   retention rules

1. To find the bucket ID, send a request to the HTTP API [`GET /api/v2/buckets/` endpoint](/influxdb/cloud/api/buckets/) to retrieve the list of buckets.
    
    [GET https://cloud2.influxdata.com/api/v2/buckets](/influxdb/cloud/api/buckets/)
    
2. Send a request to the HTTP API [PATCH `/api/v2/buckets/{BUCKET_ID}` endpoint](/influxdb/cloud/api/buckets/).
    
    In the URL path, specify the ID of the bucket from the previous step that you want to update. In the request body, set the properties that you want to update–for example:
    
    [PATCH https://cloud2.influxdata.com/api/v2/buckets/{BUCKET\_ID}](/influxdb/cloud/api/buckets/)
    
    ```js
    {
      "name": "air_sensor",
      "description": "bucket holding air sensor data",
      "retentionRules": [
          {
              "type": "expire",
              "everySeconds": 2592000
          }
      ]
    }
    ```
